-- ---------------------------------- upgrade to 1.6 "phoenix ALPHA"
-- Dropping old Hitlog table...
DROP TABLE IF EXISTS evo_hitlog;

-- New tables:
-- Creating table for active sessions... 
CREATE TABLE evo_sessions (
           sess_ID        INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
           sess_key       CHAR(32) NULL,
           sess_lastseen  DATETIME NOT NULL,
           sess_ipaddress VARCHAR(15) NOT NULL DEFAULT '',
           sess_user_ID   INT(10) DEFAULT NULL,
           sess_agnt_ID   INT UNSIGNED NULL,
           sess_data      TEXT DEFAULT NULL,
           PRIMARY KEY( sess_ID )
          );



-- Creating user settings table...
CREATE TABLE evo_usersettings (
           uset_user_ID INT(11) UNSIGNED NOT NULL,
           uset_name    VARCHAR( 30 ) NOT NULL,
           uset_value   VARCHAR( 255 ) NULL,
           PRIMARY KEY ( uset_user_ID, uset_name )
          );

-- Creating plugins table... ';
CREATE TABLE evo_plugins (
           plug_ID        INT(11) UNSIGNED NOT NULL auto_increment,
           plug_priority  INT(11) NOT NULL default 50,
           plug_classname VARCHAR(40) NOT NULL default '',
           PRIMARY KEY ( plug_ID )
          );

-- Creating table for Post Statuses...
CREATE TABLE  evo_poststatuses (
           pst_ID   int(11) unsigned not null AUTO_INCREMENT,
           pst_name varchar(30)      not null,
           primary key ( pst_ID )
          );

-- Creating table for Post Types...
CREATE TABLE  evo_posttypes (
           ptyp_ID   int(11) unsigned not null AUTO_INCREMENT,
           ptyp_name varchar(30)      not null,
           primary key (ptyp_ID)
          );

-- Creating table for File Meta Data...
CREATE TABLE evo_files (
           file_ID        int(11) unsigned  not null AUTO_INCREMENT,
           file_root_type enum('absolute','user','group','collection') not null default 'absolute',
           file_root_ID   int(11) unsigned  not null default 0,
           file_path      varchar(255)      not null default '',
           file_title     varchar(255),
           file_alt       varchar(255),
           file_desc      text,
           primary key (file_ID),
           unique file (file_root_type, file_root_ID, file_path)
         );

-- Creating table for base domains...
CREATE TABLE evo_basedomains (
          dom_ID     INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
          dom_name   VARCHAR(250) NOT NULL DEFAULT '',
          dom_status ENUM('unknown','whitelist','blacklist') NOT NULL DEFAULT 'unknown',
          dom_type   ENUM('unknown','normal','searcheng','aggregator') NOT NULL DEFAULT 'unknown',
          PRIMARY KEY (dom_ID),
          UNIQUE dom_name (dom_name)
         );

--  set_upgrade_checkpoint( '8820' );

-- if( $old_db_version < 8840 )

-- Creating table for user agents...
CREATE TABLE evo_useragents (
          agnt_ID        INT UNSIGNED NOT NULL AUTO_INCREMENT,
          agnt_signature VARCHAR(250) NOT NULL,
          agnt_type      ENUM('rss','robot','browser','unknown') DEFAULT 'unknown' NOT NULL ,
          PRIMARY KEY (agnt_ID) );

-- Creating table for Hit-Logs...
CREATE TABLE evo_hitlog (
         hit_ID             INT(11) NOT NULL AUTO_INCREMENT,
         hit_sess_ID        INT UNSIGNED,
         hit_datetime       DATETIME NOT NULL,
         hit_uri            VARCHAR(250) DEFAULT NULL,
         hit_referer_type   ENUM('search','blacklist','referer','direct','spam') NOT NULL,
         hit_referer        VARCHAR(250) DEFAULT NULL,
         hit_referer_dom_ID INT UNSIGNED DEFAULT NULL,
         hit_blog_ID        int(11) UNSIGNED NULL DEFAULT NULL,
         hit_remote_addr    VARCHAR(40) DEFAULT NULL,
         PRIMARY KEY (hit_ID),
         INDEX hit_datetime ( hit_datetime ),
         INDEX hit_blog_ID (hit_blog_ID)
        );

-- Creating table for subscriptions...
CREATE TABLE evo_subscriptions (
           sub_coll_ID     int(11) unsigned    not null,
           sub_user_ID     int(11) unsigned    not null,
           sub_items       tinyint(1)          not null,
           sub_comments    tinyint(1)          not null,
           primary key (sub_coll_ID, sub_user_ID)
          );

-- Creating table for blog-group permissions...
CREATE TABLE evo_bloggroups (
           bloggroup_blog_ID int(11) unsigned NOT NULL default 0,
           bloggroup_group_ID int(11) unsigned NOT NULL default 0,
           bloggroup_ismember tinyint NOT NULL default 0,
           bloggroup_perm_poststatuses set('published','deprecated','protected','private','draft') NOT NULL default '',
           bloggroup_perm_delpost tinyint NOT NULL default 0,
           bloggroup_perm_comments tinyint NOT NULL default 0,
           bloggroup_perm_cats tinyint NOT NULL default 0,
           bloggroup_perm_properties tinyint NOT NULL default 0,
           bloggroup_perm_media_upload tinyint NOT NULL default 0,
           bloggroup_perm_media_browse tinyint NOT NULL default 0,
           bloggroup_perm_media_change tinyint NOT NULL default 0,
           PRIMARY KEY bloggroup_pk (bloggroup_blog_ID,bloggroup_group_ID) );

-- Upgrading blogs table...
ALTER TABLE evo_blogs
       MODIFY COLUMN blog_ID int(11) unsigned NOT NULL auto_increment,
       MODIFY COLUMN blog_links_blog_ID INT(11) NULL DEFAULT NULL,
       CHANGE COLUMN blog_stub blog_urlname VARCHAR(255) NOT NULL DEFAULT 'urlname',
       ADD COLUMN blog_allowcomments VARCHAR(20) NOT NULL default 'post_by_post' AFTER blog_keywords,
       ADD COLUMN blog_allowblogcss TINYINT(1) NOT NULL default 1 AFTER blog_allowpingbacks,
       ADD COLUMN blog_allowusercss TINYINT(1) NOT NULL default 1 AFTER blog_allowblogcss,
       ADD COLUMN blog_stub VARCHAR(255) NOT NULL DEFAULT 'stub' AFTER blog_staticfilename,
       ADD COLUMN blog_commentsexpire INT(4) NOT NULL DEFAULT 0 AFTER blog_links_blog_ID,
       ADD COLUMN blog_media_location ENUM( 'default', 'subdir', 'custom', 'none' ) DEFAULT 'default' NOT NULL AFTER blog_commentsexpire,
       ADD COLUMN blog_media_subdir VARCHAR( 255 ) NOT NULL AFTER blog_media_location,
       ADD COLUMN blog_media_fullpath VARCHAR( 255 ) NOT NULL AFTER blog_media_subdir,
       ADD COLUMN blog_media_url VARCHAR(255) NOT NULL AFTER blog_media_fullpath,
       DROP INDEX blog_stub,
       ADD UNIQUE blog_urlname ( blog_urlname );

--  set_upgrade_checkpoint( '8840' );

-- if( $old_db_version < 8850 )

-- Updating relative URLs...
-- // We need to move the slashes to the end:
UPDATE evo_blogs
         SET blog_siteurl = CONCAT( SUBSTRING(blog_siteurl,2) , '/' )
        WHERE blog_siteurl LIKE '/%';

-- Copying urlnames to stub names...
UPDATE evo_blogs
       SET blog_stub = blog_urlname;
--  set_upgrade_checkpoint( '8850' );


-- if( $old_db_version < 8855 )

-- Upgrading posts table...
ALTER TABLE  evo_posts
       DROP COLUMN post_karma,
       DROP COLUMN post_autobr,
       DROP INDEX post_author,
       DROP INDEX post_issue_date,
       DROP INDEX post_category,
       CHANGE COLUMN ID post_ID int(11) unsigned NOT NULL auto_increment,
       CHANGE COLUMN post_author post_creator_user_ID int(11) unsigned NOT NULL,
       CHANGE COLUMN post_issue_date post_datestart datetime NOT NULL,
       CHANGE COLUMN post_mod_date post_datemodified datetime NOT NULL,
       CHANGE COLUMN post_category post_main_cat_ID int(11) unsigned NOT NULL,
       ADD post_parent_ID    int(11) unsigned NULL AFTER post_ID,
       ADD post_lastedit_user_ID int(11) unsigned NULL AFTER post_creator_user_ID,
       ADD post_assigned_user_ID int(11) unsigned NULL AFTER post_lastedit_user_ID,
       ADD post_datedeadline   datetime NULL AFTER post_datestart,
       ADD post_datecreated   datetime NULL AFTER post_datedeadline,
       ADD post_pst_ID      int(11) unsigned NULL AFTER post_status,
       ADD post_ptyp_ID     int(11) unsigned NULL AFTER post_pst_ID,
       ADD post_views      int(11) unsigned NOT NULL DEFAULT 0 AFTER post_flags,
       ADD post_commentsexpire  datetime DEFAULT NULL AFTER post_comments,
       ADD post_priority     int(11) unsigned null,
       ADD INDEX post_creator_user_ID( post_creator_user_ID ),
       ADD INDEX post_parent_ID( post_parent_ID ),
       ADD INDEX post_assigned_user_ID( post_assigned_user_ID ),
       ADD INDEX post_datestart( post_datestart ),
       ADD INDEX post_main_cat_ID( post_main_cat_ID ),
       ADD INDEX post_ptyp_ID( post_ptyp_ID ),
       ADD INDEX post_pst_ID( post_pst_ID );

--  set_upgrade_checkpoint( '8855' );



-- if( $old_db_version < 8860 )

-- Updating post data...
UPDATE  evo_posts
       SET post_lastedit_user_ID = post_creator_user_ID,
         post_datecreated = post_datestart;

-- Upgrading users table...
UPDATE evo_users
           SET dateYMDhour = '2000-01-01 00:00:00'
         WHERE dateYMDhour = '0000-00-00 00:00:00';
ALTER TABLE evo_users
       MODIFY COLUMN dateYMDhour DATETIME NOT NULL DEFAULT '2000-01-01 00:00:00',
       CHANGE COLUMN ID user_ID int(11) unsigned NOT NULL auto_increment,
       MODIFY COLUMN user_icq int(11) unsigned DEFAULT 0 NOT NULL,
       ADD COLUMN user_showonline tinyint(1) NOT NULL default 1 AFTER user_notify;

--   set_upgrade_checkpoint( '8860' );



-- if( $old_db_version < 8900 )
 

-- Setting new defaults...
INSERT INTO evo_settings (set_name, set_value)
       VALUES
        ( "reloadpage_timeout", "300" ),
        ( "upload_enabled", "'.(isset($use_fileupload) ? (int)$use_fileupload : '1').'" ),
        ( "upload_allowedext", "'.(isset($fileupload_allowedtypes) ? $fileupload_allowedtypes : 'jpg gif png').'" ),
        ( "upload_maxkb", "'.(isset($fileupload_maxk) ? (int)$fileupload_maxk : '96').'" );

--   // Replace "paged" mode with "posts" // note: moved to blogsettings in 2.0
UPDATE evo_settings
          SET set_value = "posts"
         WHERE set_name = "what_to_show"
           AND set_value = "paged";


--  if( !isset( $tableblogusers_isuptodate ) )
--  { // We have created the blogusers table before and it's already clean!
-- Altering table for Blog-User permissions...
ALTER TABLE evo_blogusers
          MODIFY COLUMN bloguser_blog_ID int(11) unsigned NOT NULL default 0,
          MODIFY COLUMN bloguser_user_ID int(11) unsigned NOT NULL default 0,
          ADD COLUMN bloguser_perm_media_upload tinyint NOT NULL default 0,
          ADD COLUMN bloguser_perm_media_browse tinyint NOT NULL default 0,
          ADD COLUMN bloguser_perm_media_change tinyint NOT NULL default 0;
--  }


-- Altering comments table...
UPDATE evo_comments
           SET comment_date = '2000-01-01 00:00:00'
         WHERE comment_date = '0000-00-00 00:00:00';
ALTER TABLE evo_comments
         MODIFY COLUMN comment_date DATETIME NOT NULL DEFAULT '2000-01-01 00:00:00',
         MODIFY COLUMN comment_post_ID  int(11) unsigned NOT NULL default 0;

--  set_upgrade_checkpoint( '8900' );


-- if( $old_db_version < 9000 )

-- Altering Posts to Categories table...
ALTER TABLE evo_postcats
         MODIFY COLUMN postcat_post_ID int(11) unsigned NOT NULL,
         MODIFY COLUMN postcat_cat_ID int(11) unsigned NOT NULL;

-- Altering Categories table...
ALTER TABLE evo_categories
         MODIFY COLUMN cat_ID int(11) unsigned NOT NULL auto_increment,
         MODIFY COLUMN cat_parent_ID int(11) unsigned NULL,
         MODIFY COLUMN cat_blog_ID int(11) unsigned NOT NULL default 2;

-- Altering Locales table...
ALTER TABLE evo_locales
         ADD loc_startofweek TINYINT UNSIGNED NOT NULL DEFAULT 1 AFTER loc_timefmt;

--  if( !isset( $tablegroups_isuptodate ) )
--  { // We have created the groups table before and it's already clean!
-- Altering Groups table...
ALTER TABLE evo_groups
          ADD COLUMN grp_perm_admin enum('none','hidden','visible') NOT NULL default 'visible' AFTER grp_name,
          ADD COLUMN grp_perm_files enum('none','view','add','edit') NOT NULL default 'none';
--  }

-- Creating table for Post Links...
CREATE TABLE evo_links (
         link_ID               int(11) unsigned  not null AUTO_INCREMENT,
         link_datecreated      datetime          not null,
         link_datemodified     datetime          not null,
         link_creator_user_ID  int(11) unsigned  not null,
         link_lastedit_user_ID int(11) unsigned  not null,
         link_item_ID          int(11) unsigned  NOT NULL,
         link_dest_item_ID     int(11) unsigned  NULL,
         link_file_ID          int(11) unsigned  NULL,
         link_ltype_ID         int(11) unsigned  NOT NULL default 1,
         link_external_url     VARCHAR(255)      NULL,
         link_title            TEXT              NULL,
         PRIMARY KEY (link_ID),
         INDEX link_item_ID( link_item_ID ),
         INDEX link_dest_item_ID (link_dest_item_ID),
         INDEX link_file_ID (link_file_ID)
        );

-- Creating default Post Types...
INSERT INTO evo_posttypes ( ptyp_ID, ptyp_name )
   VALUES ( 1, 'Post' ),
          ( 2, 'Link' );

--  set_upgrade_checkpoint( '9000' );

-- if( $old_db_version < 9100 )
-- { // 1.8 ALPHA

-- Creating table for plugin events...
CREATE TABLE evo_pluginevents(
     pevt_plug_ID INT(11) UNSIGNED NOT NULL,
     pevt_event VARCHAR(40) NOT NULL,
     pevt_enabled TINYINT NOT NULL DEFAULT 1,
     PRIMARY KEY( pevt_plug_ID, pevt_event )
    );

-- Altering Links table...
ALTER TABLE evo_links
               CHANGE link_item_ID link_itm_ID INT( 11 ) UNSIGNED NOT NULL,
               CHANGE link_dest_item_ID link_dest_itm_ID INT( 11 ) UNSIGNED NULL;

--  if( $old_db_version >= 9000 )
--  { // sess_agnt_ID used in Phoenix-Alpha
--   echo 'Altering sessions table... ';
--   $query = "
--     ALTER TABLE evo_sessions
--      DROP COLUMN sess_agnt_ID";
--   $DB->query( $query );
--   echo "OK.<br />\n";
--  }

-- Creating table for file types...
CREATE TABLE evo_filetypes (
     ftyp_ID int(11) unsigned NOT NULL auto_increment,
     ftyp_extensions varchar(30) NOT NULL,
     ftyp_name varchar(30) NOT NULL,
     ftyp_mimetype varchar(50) NOT NULL,
     ftyp_icon varchar(20) default NULL,
     ftyp_viewtype varchar(10) NOT NULL,
     ftyp_allowed tinyint(1) NOT NULL default 0,
     PRIMARY KEY (ftyp_ID)
    );

-- Creating default file types...
-- // TODO: dh> shouldn't they get localized to the app's default locale?
INSERT INTO evo_filetypes
    (ftyp_ID, ftyp_extensions, ftyp_name, ftyp_mimetype, ftyp_icon, ftyp_viewtype, ftyp_allowed)
   VALUES
    (1, 'gif', 'GIF image', 'image/gif', 'image2.png', 'image', 1),
    (2, 'png', 'PNG image', 'image/png', 'image2.png', 'image', 1),
    (3, 'jpg jpeg', 'JPEG image', 'image/jpeg', 'image2.png', 'image', 1),
    (4, 'txt', 'Text file', 'text/plain', 'document.png', 'text', 1),
    (5, 'htm html', 'HTML file', 'text/html', 'html.png', 'browser', 0),
    (6, 'pdf', 'PDF file', 'application/pdf', 'pdf.png', 'browser', 1),
    (7, 'doc', 'Microsoft Word file', 'application/msword', 'doc.gif', 'external', 1),
    (8, 'xls', 'Microsoft Excel file', 'application/vnd.ms-excel', 'xls.gif', 'external', 1),
    (9, 'ppt', 'Powerpoint', 'application/vnd.ms-powerpoint', 'ppt.gif', 'external', 1),
    (10, 'pps', 'Slideshow', 'pps', 'pps.gif', 'external', 1),
    (11, 'zip', 'ZIP archive', 'application/zip', 'zip.gif', 'external', 1),
    (12, 'php php3 php4 php5 php6', 'PHP script', 'application/x-httpd-php', 'php.gif', 'text', 0),
    (13, 'css', 'Style sheet', 'text/css', '', 'text', 1);

-- Giving Administrator Group edit perms on files...
UPDATE evo_groups
               SET grp_perm_files = "edit"
               WHERE grp_ID = 1;

-- Giving Administrator Group full perms on media for all blogs...
UPDATE evo_bloggroups
               SET bloggroup_perm_media_upload = 1,
                   bloggroup_perm_media_browse = 1,
                   bloggroup_perm_media_change = 1
               WHERE bloggroup_group_ID = 1;

--  if( $old_db_version >= 9000 )
--  { // Uninstall all ALPHA (potentially incompatible) plugins
--   echo 'Uninstalling all existing plugins... ';
--   $DB->query( 'DELETE FROM evo_plugins WHERE 1=1' );
--   echo "OK.<br />\n";
--  }


--  set_upgrade_checkpoint( '9100' );


-- if( $old_db_version < 9190 ) // Note: changed from 9200, to include the block below, if DB is not yet on 1.8
-- { // 1.8 ALPHA (block #2)
-- Altering Posts table...
ALTER TABLE  evo_posts
               CHANGE post_comments post_comment_status ENUM('disabled', 'open', 'closed') NOT NULL DEFAULT 'open';

--  set_upgrade_checkpoint( '9190' );


-- if( $old_db_version < 9192 )
-- { // 1.8 ALPHA (block #3) - The payload that db_delta() handled before

--  // This is a fix, which broke upgrade to 1.8 (from 1.6) in MySQL strict mode (inserted after 1.8 got released!):
--  if( $DB->get_row( 'SHOW COLUMNS FROM evo_hitlog LIKE "hit_referer_type"' ) )
--  { // a niiiiiiiice extra check :p

--   Deleting all "spam" hitlog entries...
DELETE FROM evo_hitlog
      WHERE hit_referer_type = "spam";
--   task_end();
--  }

-- Upgrading users table... 
ALTER TABLE evo_users
          CHANGE COLUMN user_firstname user_firstname varchar(50) NULL,
          CHANGE COLUMN user_lastname user_lastname varchar(50) NULL,
          CHANGE COLUMN user_nickname user_nickname varchar(50) NULL,
          CHANGE COLUMN user_icq user_icq int(11) unsigned NULL,
          CHANGE COLUMN user_email user_email varchar(255) NOT NULL,
          CHANGE COLUMN user_url user_url varchar(255) NULL,
          CHANGE COLUMN user_ip user_ip varchar(15) NULL,
          CHANGE COLUMN user_domain user_domain varchar(200) NULL,
          CHANGE COLUMN user_browser user_browser varchar(200) NULL,
          CHANGE COLUMN user_aim user_aim varchar(50) NULL,
          CHANGE COLUMN user_msn user_msn varchar(100) NULL,
          CHANGE COLUMN user_yim user_yim varchar(50) NULL,
          ADD COLUMN user_allow_msgform TINYINT NOT NULL DEFAULT '1' AFTER user_idmode,
          ADD COLUMN user_validated TINYINT(1) NOT NULL DEFAULT 0 AFTER user_grp_ID;

-- Creating blog settings...
CREATE TABLE evo_coll_settings (
               cset_coll_ID INT(11) UNSIGNED NOT NULL,
               cset_name    VARCHAR( 30 ) NOT NULL,
               cset_value   VARCHAR( 255 ) NULL,
               PRIMARY KEY ( cset_coll_ID, cset_name )
           );

--   set_upgrade_checkpoint( '9192' );



-- if( $old_db_version < 9195 )

-- Upgrading posts table...
ALTER TABLE  evo_posts
          CHANGE COLUMN post_content post_content         text NULL,
          CHANGE COLUMN post_url post_url                VARCHAR(255) NULL DEFAULT NULL,
          CHANGE COLUMN post_renderers post_renderers     TEXT NOT NULL;

-- Upgrading comments table...
ALTER TABLE evo_comments
          CHANGE COLUMN comment_author_email comment_author_email varchar(255) NULL,
          CHANGE COLUMN comment_author_url comment_author_url varchar(255) NULL,
          ADD COLUMN comment_spam_karma TINYINT NULL AFTER comment_karma,
          ADD COLUMN comment_allow_msgform TINYINT NOT NULL DEFAULT '0' AFTER comment_spam_karma;

--  set_upgrade_checkpoint( '9195' );


-- if( $old_db_version < 9200 )

-- Upgrading hitlog table...
ALTER TABLE evo_hitlog
          CHANGE COLUMN hit_referer_type hit_referer_type   ENUM('search','blacklist','referer','direct') NOT NULL,
          ADD COLUMN hit_agnt_ID        INT UNSIGNED NULL AFTER hit_remote_addr;

-- Upgrading post links table... 
ALTER TABLE evo_links
          ADD INDEX link_itm_ID( link_itm_ID ),
          ADD INDEX link_dest_itm_ID (link_dest_itm_ID);

-- Upgrading plugins table...
ALTER TABLE evo_plugins
          CHANGE COLUMN plug_priority plug_priority        TINYINT NOT NULL default 50,
          ADD COLUMN plug_code            VARCHAR(32) NULL AFTER plug_classname,
          ADD COLUMN plug_apply_rendering ENUM( 'stealth', 'always', 'opt-out', 'opt-in', 'lazy', 'never' ) NOT NULL DEFAULT 'never' AFTER plug_code,
          ADD COLUMN plug_version         VARCHAR(42) NOT NULL default '0' AFTER plug_apply_rendering,
          ADD COLUMN plug_status          ENUM( 'enabled', 'disabled', 'needs_config', 'broken' ) NOT NULL AFTER plug_version,
          ADD COLUMN plug_spam_weight     TINYINT UNSIGNED NOT NULL DEFAULT 1 AFTER plug_status,
          ADD UNIQUE plug_code( plug_code ),
          ADD INDEX plug_status( plug_status );

-- Creating plugin settings table...
CREATE TABLE evo_pluginsettings (
               pset_plug_ID INT(11) UNSIGNED NOT NULL,
               pset_name VARCHAR( 30 ) NOT NULL,
               pset_value TEXT NULL,
               PRIMARY KEY ( pset_plug_ID, pset_name )
           );

-- Creating plugin user settings table...
CREATE TABLE evo_pluginusersettings (
               puset_plug_ID INT(11) UNSIGNED NOT NULL,
               puset_user_ID INT(11) UNSIGNED NOT NULL,
               puset_name VARCHAR( 30 ) NOT NULL,
               puset_value TEXT NULL,
               PRIMARY KEY ( puset_plug_ID, puset_user_ID, puset_name )
           );

-- Creating scheduled tasks table...
CREATE TABLE evo_cron__task(
             ctsk_ID              int(10) unsigned      not null AUTO_INCREMENT,
             ctsk_start_datetime  datetime              not null,
             ctsk_repeat_after    int(10) unsigned,
             ctsk_name            varchar(50)           not null,
             ctsk_controller      varchar(50)           not null,
             ctsk_params          text,
             primary key (ctsk_ID)
           );

-- Creating cron log table...
CREATE TABLE evo_cron__log(
                clog_ctsk_ID              int(10) unsigned   not null,
                clog_realstart_datetime   datetime           not null,
                clog_realstop_datetime    datetime,
                clog_status               enum('started','finished','error','timeout') not null default 'started',
                clog_messages             text,
                primary key (clog_ctsk_ID)
           );

-- Upgrading blogs table...
--  // blog_allowpingbacks is "DEFAULT 1" in the 0.9.0.11 dump.. - changed in 0.9.2?!
ALTER TABLE evo_blogs
          ALTER COLUMN blog_allowpingbacks SET DEFAULT 0,
            CHANGE COLUMN blog_media_subdir blog_media_subdir VARCHAR( 255 ) NULL,
          CHANGE COLUMN blog_media_fullpath blog_media_fullpath VARCHAR( 255 ) NULL,
          CHANGE COLUMN blog_media_url blog_media_url VARCHAR( 255 ) NULL;

--  set_upgrade_checkpoint( '9200' ); // at 1.8 "Summer Beta" release


-- // ____________________________ 1.9: ____________________________

-- if( $old_db_version < 9290 )

-- Post-fix hit_referer_type == NULL...
--  // If you've upgraded from 1.6 to 1.8 and it did not break because of strict mode, there are now NULL values for what "spam" was:
DELETE FROM evo_hitlog
      WHERE hit_referer_type IS NULL;

-- Marking administrator accounts as validated...
UPDATE evo_users
       SET user_validated = 1
     WHERE user_grp_ID = 1;

-- Converting auto_prune_stats setting...
--  $old_auto_prune_stats = $DB->get_var( '
--    SELECT set_value
--      FROM evo_settings
--     WHERE set_name = "auto_prune_stats"' );
--  if( ! is_null($old_auto_prune_stats) && $old_auto_prune_stats < 1 )
--  { // This means it has been disabled before, so set auto_prune_stats_mode to "off"!
--   $DB->query( '
--     REPLACE INTO evo_settings ( set_name, set_value )
--      VALUES ( "auto_prune_stats_mode", "off" )' );
--  }
--  echo "OK.<br />\n";

-- Converting time_difference from hours to seconds...
UPDATE evo_settings SET set_value = set_value*3600 WHERE set_name = "time_difference";

-- Updating hitlog capabilities...
ALTER TABLE evo_useragents ADD INDEX agnt_type ( agnt_type );
ALTER TABLE evo_hitlog
      CHANGE COLUMN hit_referer_type hit_referer_type ENUM('search','blacklist','referer','direct','self','admin') NOT NULL;

-- Updating plugin capabilities...
ALTER TABLE evo_plugins
     MODIFY COLUMN plug_status ENUM( 'enabled', 'disabled', 'needs_config', 'broken' ) NOT NULL;

--  set_upgrade_checkpoint( '9290' );


-- if( $old_db_version < 9300 )
--  // This can be so long, it needs its own checkpoint protected block in case of failure

-- Updating hitlog indexes...
    ALTER TABLE evo_hitlog
      ADD INDEX hit_agnt_ID        ( hit_agnt_ID ),
      ADD INDEX hit_uri            ( hit_uri ),
      ADD INDEX hit_referer_dom_ID ( hit_referer_dom_ID );

--  set_upgrade_checkpoint( '9300' );



-- if( $old_db_version < 9310 )
-- Updating basedomains...
UPDATE evo_basedomains
       SET dom_status = "unknown";  -- // someone has filled this up with junk blacklists before
ALTER TABLE evo_basedomains  ADD INDEX dom_type (dom_type);

--  set_upgrade_checkpoint( '9310' );

-- if( $old_db_version < 9315 )
-- Altering locales table...
ALTER TABLE evo_locales CHANGE COLUMN loc_datefmt loc_datefmt varchar(20) NOT NULL default 'y-m-d';
ALTER TABLE evo_locales CHANGE COLUMN loc_timefmt loc_timefmt varchar(20) NOT NULL default 'H:i:s';

-- Creating item prerendering cache table...
CREATE TABLE  evo_item__prerendering(
     itpr_itm_ID                   INT(11) UNSIGNED NOT NULL,
     itpr_format                   ENUM('htmlbody', 'entityencoded', 'xml', 'text') NOT NULL,
     itpr_renderers                TEXT NOT NULL,
     itpr_content_prerendered      TEXT NULL,
     itpr_datemodified             TIMESTAMP NOT NULL,
     PRIMARY KEY (itpr_itm_ID, itpr_format)
    );

-- Altering plugins table...
ALTER TABLE evo_plugins ADD COLUMN plug_name            VARCHAR(255) NULL default NULL AFTER plug_version;
ALTER TABLE evo_plugins ADD COLUMN plug_shortdesc       VARCHAR(255) NULL default NULL AFTER plug_name;

--  set_upgrade_checkpoint( '9315' );



-- if( $old_db_version < 9320 )
-- // Dropping hit_datetime because it's very slow on INSERT (dh)
--  // This can be so long, it needs its own checkpoint protected block in case of failure
--  if( db_index_exists( 'T_hitlog', 'hit_datetime' ) )
-- { // only drop, if it still exists (may have been removed manually)
-- Updating hitlog indexes...
ALTER TABLE evo_hitlog
      DROP INDEX hit_datetime;
--  }

--  set_upgrade_checkpoint( '9320' );

-- if( $old_db_version < 9326 )
--  echo 'Removing obsolete settings... ';
DELETE FROM evo_settings WHERE set_name = "upload_allowedext";

--  echo 'Updating blogs... ';
-- db_drop_col( 'T_blogs', 'blog_allowpingbacks' );
ALTER TABLE evo_blogs DROP COLUMN blog_allowpingbacks;

--  // Remove and transform obsolete fields blog_pingb2evonet, blog_pingtechnorati, blog_pingweblogs, blog_pingblodotgs
--  if( db_cols_exist( 'T_blogs', array('blog_pingb2evonet', 'blog_pingtechnorati', 'blog_pingweblogs', 'blog_pingblodotgs') ) )
--  {
--   foreach( $DB->get_results( '
--     SELECT blog_ID, blog_pingb2evonet, blog_pingtechnorati, blog_pingweblogs, blog_pingblodotgs
--      FROM evo_blogs' ) as $row )
--   {
--    $ping_plugins = $DB->get_var( 'SELECT cset_value FROM evo_coll_settings WHERE cset_coll_ID = '.$row->blog_ID.' AND cset_name = "ping_plugins"' );
--    $ping_plugins = explode(',', $ping_plugins);
--    select blog_name, ELT((1+blog_pingb2evonet+(blog_pingtechnorati || blog_pingweblogs || blog_pingblodotgs)*2),'','ping_b2evonet','ping_pingomatic','ping_b2evonet,ping_pingomatic') as value from evo_blogs;
--    if( $row->blog_pingb2evonet )
--    {
--     $ping_plugins[] = 'ping_b2evonet';
--    }
--    if( $row->blog_pingtechnorati || $row->blog_pingweblogs || $row->blog_pingblodotgs )
--    { // if either one of the previous pingers was enabled, add ping-o-matic:
--     $ping_plugins[] = 'ping_pingomatic';
--    }

--    // Insert transformed/generated ping plugins collection setting:
--    $ping_plugins = array_unique($ping_plugins);
--    $DB->query( 'REPLACE INTO evo_coll_settings
--      ( cset_coll_ID, cset_name, cset_value )
--      VALUES ( '.$row->blog_ID.', "ping_plugins", "'.implode( ',', $ping_plugins ).'" )' );
REPLACE INTO evo_coll_settings (cset_coll_ID, cset_name, cset_value) 
        SELECT blog_ID, 
              "ping_plugins", 
              ELT((1+blog_pingb2evonet+(blog_pingtechnorati || blog_pingweblogs || blog_pingblodotgs)*2),'','ping_b2evonet','ping_pingomatic','ping_b2evonet,ping_pingomatic') AS value 
              FROM evo_blogs;
--   }

ALTER TABLE evo_blogs
     DROP COLUMN blog_pingb2evonet,
     DROP COLUMN blog_pingtechnorati,
     DROP COLUMN blog_pingweblogs,
     DROP COLUMN blog_pingblodotgs;
--  }


--  set_upgrade_checkpoint( '9326' );
 

-- if( $old_db_version < 9328 )

--  echo 'Updating posts... ';
--  db_add_col( "{$tableprefix}posts", 'post_notifications_status',  'ENUM("noreq","todo","started","finished") NOT NULL DEFAULT "noreq" AFTER post_flags' );
ALTER TABLE evo_posts ADD COLUMN post_notifications_status ENUM("noreq","todo","started","finished") NOT NULL DEFAULT "noreq" AFTER post_flags;

--  db_add_col( "{$tableprefix}posts", 'post_notifications_ctsk_ID', 'INT(10) unsigned NULL DEFAULT NULL AFTER post_notifications_status' );
ALTER TABLE evo_posts ADD COLUMN post_notifications_ctsk_ID INT(10) unsigned NULL DEFAULT NULL AFTER post_notifications_status;

--  set_upgrade_checkpoint( '9328' );
 

-- if( $old_db_version < 9330 )
--  if( db_col_exists( "{$tableprefix}posts", 'post_flags') )
--  {
 --  echo 'Updating post notifications... ';
UPDATE evo_posts
      SET post_notifications_status = 'finished'
     WHERE post_flags LIKE '%pingsdone%';
--   db_drop_col( "{$tableprefix}posts", 'post_flags' );
ALTER TABLE evo_posts DROP COLUMN post_flags;
--  }
--  set_upgrade_checkpoint( '9330' );
 
-- if( $old_db_version < 9340 )
--  echo 'Removing duplicate post link indexes... ';
--XLUT TODO
--  if( db_index_exists( 'T_links', 'link_item_ID' ) )
--  { // only drop, if it still exists (may have been removed manually)
--   $DB->query( '
--     ALTER TABLE evo_links
--      DROP INDEX link_item_ID
--     ' );
--  }
--  if( db_index_exists( 'T_links', 'link_dest_item_ID' ) )
--  { // only drop, if it still exists (may have been removed manually)
--   $DB->query( '
--     ALTER TABLE evo_links
--      DROP INDEX link_dest_item_ID
--     ' );
--  }
-- echo "OK.<br />\n";

--  set_upgrade_checkpoint( '9340' );
 
-- // ____________________________ 1.10: ____________________________

-- if( $old_db_version < 9345 )
--  echo 'Updating post table... ';
ALTER TABLE evo_posts CHANGE COLUMN post_content post_content MEDIUMTEXT NULL;
--  set_upgrade_checkpoint( '9345' );
 
-- if( $old_db_version < 9346 )
--  echo 'Updating prerendering table... ';
ALTER TABLE evo_item__prerendering CHANGE COLUMN itpr_content_prerendered itpr_content_prerendered MEDIUMTEXT NULL;
--  set_upgrade_checkpoint( '9346' );
 
-- if( $old_db_version < 9348 )
-- echo 'Updating sessions table... ';
ALTER TABLE evo_sessions CHANGE COLUMN sess_data sess_data MEDIUMBLOB DEFAULT NULL;
-- set_upgrade_checkpoint( '9348' );

-- if( $old_db_version < 9350 )
--  echo 'Updating hitlog table... ';
ALTER TABLE evo_hitlog CHANGE COLUMN hit_referer_type hit_referer_type   ENUM('search','blacklist','spam','referer','direct','self','admin') NOT NULL;

--  set_upgrade_checkpoint( '9350' );


-- // ____________________________ 2.0: ____________________________

-- if( $old_db_version < 9406 )
--  echo 'Updating chapter url names... ';
ALTER TABLE evo_categories
    ADD COLUMN cat_urlname VARCHAR(255) NOT NULL;

--  // TODO: dh> "cID" is not that readable, is it? Should use a function instead. Also use it for cafelog upgrade then.
UPDATE evo_categories
         SET cat_urlname = CONCAT( "c" , cat_ID );
ALTER TABLE evo_categories
    ADD UNIQUE cat_urlname ( cat_urlname );

--  echo 'Updating Settings... ';
UPDATE evo_settings
         SET set_value = "disabled"
       WHERE set_name = "links_extrapath"
         AND set_value = 0;
UPDATE evo_settings
         SET set_value = "ymd"
       WHERE set_name = "links_extrapath"
         AND set_value <> 0;

--  set_upgrade_checkpoint( '9406' );


-- if( $old_db_version < 9407 )
--  echo 'Moving general settings to blog settings... ';
REPLACE INTO evo_coll_settings( cset_coll_ID, cset_name, cset_value )
               SELECT blog_ID, set_name, set_value
          FROM evo_blogs, evo_settings
         WHERE set_name = "posts_per_page"
            OR set_name = "what_to_show"
            OR set_name = "archive_mode";
DELETE FROM evo_settings
         WHERE set_name = "posts_per_page"
            OR set_name = "what_to_show"
            OR set_name = "archive_mode";

--  echo 'Upgrading blogs table... ';
ALTER TABLE evo_blogs
       DROP COLUMN blog_force_skin;

--  echo 'Upgrading groups table... ';
ALTER TABLE evo_groups
       CHANGE COLUMN grp_perm_files grp_perm_files enum('none','view','add','edit','all') NOT NULL default 'none';

--  echo 'Upgrading files table... ';
ALTER TABLE evo_files
       CHANGE COLUMN file_root_type file_root_type enum('absolute','user','group','collection','skins') not null default 'absolute';

--  echo 'Updating file types... ';
--  // Only change this if it's close enough to a default install (non customized)
UPDATE evo_filetypes
          SET ftyp_viewtype = 'text'
         WHERE ftyp_ID = 12
          AND ftyp_extensions = 'php php3 php4 php5 php6'
          AND ftyp_mimetype ='application/x-httpd-php'
          AND ftyp_icon = 'php.gif';

--  echo 'Remove obsolete user settings... ';
DELETE FROM evo_usersettings
         WHERE uset_name = "plugins_disp_avail";

--  set_upgrade_checkpoint( '9407' );


-- if( $old_db_version < 9408 )
--  echo 'Creating skins table... ';
CREATE TABLE evo_skins__skin (
              skin_ID      int(10) unsigned      NOT NULL auto_increment,
              skin_name    varchar(32)           NOT NULL,
              skin_type    enum('normal','feed') NOT NULL default 'normal',
              skin_folder  varchar(32)           NOT NULL,
              PRIMARY KEY skin_ID (skin_ID),
              UNIQUE skin_folder( skin_folder ),
              KEY skin_name( skin_name )
            );

--  echo 'Creating skin containers table... ';
CREATE TABLE evo_skins__container (
              sco_skin_ID   int(10) unsigned      NOT NULL,
              sco_name      varchar(40)           NOT NULL,
              PRIMARY KEY (sco_skin_ID, sco_name)
            );

-- begin:  install_basic_skins();
INSERT INTO evo_skins__skin (skin_folder, skin_name) VALUES ('evopress', 'evopress');
REPLACE INTO evo_skins__container( sco_skin_ID, sco_name )
    VALUES ( 1, 'Menu' ),( 1, 'Page Top' ),( 1, 'Header' ),( 1, 'Sidebar' );

INSERT INTO evo_skins__skin (skin_folder, skin_name) VALUES ('evocamp', 'evocamp');
REPLACE INTO evo_skins__container( sco_skin_ID, sco_name )
    VALUES ( 2, 'Page Top' ),( 2, 'Header' ),( 2, 'Menu' ),( 2, 'Sidebar' ),( 2, 'Sidebar 2' );

INSERT INTO evo_skins__skin (skin_folder, skin_name) VALUES ('miami_blue', 'miami_blue');
REPLACE INTO evo_skins__container( sco_skin_ID, sco_name )
    VALUES ( 3, 'Page Top' ),( 3, 'Header' ),( 3, 'Menu' ),( 3, 'Sidebar' );
    
INSERT INTO evo_skins__skin (skin_folder, skin_name) VALUES ('photoblog', 'photoblog');
REPLACE INTO evo_skins__container( sco_skin_ID, sco_name )
    VALUES ( 4, 'Page Top' ),( 4, 'Menu' );
    
INSERT INTO evo_skins__skin (skin_folder, skin_name) VALUES ('asevo', 'asevo');
REPLACE INTO evo_skins__container( sco_skin_ID, sco_name )
    VALUES ( 5, 'Page Top' ),( 5, 'Menu' ),( 5, 'Header' ),( 5, 'Sidebar' );

INSERT INTO evo_skins__skin (skin_folder, skin_name) VALUES ('custom', 'custom');
REPLACE INTO evo_skins__container( sco_skin_ID, sco_name )
    VALUES ( 6, 'Page Top' ),( 6, 'Header' ),( 6, 'Menu' ),( 6, 'Sidebar' ),( 6, 'Footer' );

INSERT INTO evo_skins__skin (skin_folder, skin_name) VALUES ('natural_pink', 'natural_pink');
REPLACE INTO evo_skins__container( sco_skin_ID, sco_name )
    VALUES ( 7, 'Page Top' ),( 7, 'Header' ),( 7, 'Menu' ),( 7, 'Sidebar' );
    
INSERT INTO evo_skins__skin (skin_folder, skin_name) VALUES ('nifty_corners', 'nifty_corners');
REPLACE INTO evo_skins__container( sco_skin_ID, sco_name )
    VALUES ( 8, 'Page Top' ),( 8, 'Header' ),( 8, 'Menu' ),( 8, 'Sidebar' );
    
INSERT INTO evo_skins__skin (skin_folder, skin_name, skin_type) VALUES ('_atom', 'Atom', 'feed');
INSERT INTO evo_skins__skin (skin_folder, skin_name, skin_type) VALUES ('_rss2', 'RSS 2.0', 'feed');

-- end: install_basic_skins();


--  echo 'Creating widgets table... ';
CREATE TABLE evo_widget (
       wi_ID     INT(10) UNSIGNED auto_increment,
      wi_coll_ID    INT(11) UNSIGNED NOT NULL,
      wi_sco_name   VARCHAR( 40 ) NOT NULL,
      wi_order   INT(10) UNSIGNED NOT NULL,
      wi_type       ENUM( 'core', 'plugin' ) NOT NULL DEFAULT 'core',
      wi_code       VARCHAR(32) NOT NULL,
      wi_params     TEXT NULL,
      PRIMARY KEY ( wi_ID ),
      UNIQUE wi_order( wi_coll_ID, wi_sco_name, wi_order )
          );

--  echo 'Updating blogs table... ';
ALTER TABLE evo_blogs
         ALTER COLUMN blog_allowtrackbacks SET DEFAULT 0,
         DROP COLUMN blog_default_skin,
          ADD COLUMN blog_owner_user_ID   int(11) unsigned NOT NULL default 1 AFTER blog_name,
          ADD COLUMN blog_skin_ID INT(10) UNSIGNED NOT NULL DEFAULT 1 AFTER blog_allowusercss;


--  install_basic_widgets();
--	echo 'Installing default widgets... ';

--	// Add nlog list to all blog Page Tops:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Page Top", 1, "core", "colls_list_public"
							   FROM evo_blogs;

--	// Add title to all blog Headers:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Header", 1, "core", "coll_title"
							   FROM evo_blogs;
--	// Add tagline to all blogs Headers:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Header", 2, "core", "coll_tagline"
							   FROM evo_blogs;

--	// Add home link to all blogs Menus:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code, wi_params )
							 SELECT blog_ID, "Menu", 1, "core", "menu_link", "a:1:{s:9:\"link_type\";s:4:\"home\";}"
							   FROM evo_blogs;
--	// Add info pages to all blogs Menus:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Menu", 2, "core", "coll_page_list"
							   FROM evo_blogs;
--	// Add contact link to all blogs Menus:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code, wi_params )
							 SELECT blog_ID, "Menu", 3, "core", "menu_link", "a:1:{s:9:\"link_type\";s:12:\"ownercontact\";}"
							   FROM evo_blogs;
--	// Add login link to all blogs Menus:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code, wi_params )
							 SELECT blog_ID, "Menu", 4, "core", "menu_link", "a:1:{s:9:\"link_type\";s:5:\"login\";}"
							   FROM evo_blogs;

--	// Add Calendar plugin to all blog Sidebars:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Sidebar", 1, "plugin", "evo_Calr"
							   FROM evo_blogs;
--	// Add title to all blog Sidebars:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Sidebar", 2, "core", "coll_title"
							   FROM evo_blogs;
--	// Add longdesc to all blogs Sidebars:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Sidebar", 3, "core", "coll_longdesc"
							   FROM evo_blogs;
--	// Add common links to all blogs Sidebars:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Sidebar", 4, "core", "coll_common_links"
							   FROM evo_blogs;
--	// Add search form to all blogs Sidebars:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Sidebar", 5, "core", "coll_search_form"
							   FROM evo_blogs;
--	// Add categories list to all blog Sidebars:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Sidebar", 6, "core", "coll_category_list"
							   FROM evo_blogs;
--	// Add linkblog to blog Sidebars for blog A & B:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code, wi_params )
							 SELECT blog_ID, "Sidebar", 7, "core", "linkblog", 'a:6:{s:5:\"title\";s:8:\"Blogroll\";s:11:\"linkblog_ID\";s:1:\"3\";s:14:\"linkblog_limit\";s:3:\"100\";s:11:\"widget_name\";s:8:\"Linkblog\";s:16:\"widget_css_class\";s:0:\"\";s:9:\"widget_ID\";s:0:\"\";}'
							   FROM evo_blogs
							  WHERE blog_ID <= 2;
--	// Add XML feeds to all blogs Sidebars:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Sidebar", 8, "core", "coll_xml_feeds"
							   FROM evo_blogs;

--	// Add Tag Cloud to all blog Sidebar2:
INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code, wi_params )
							 SELECT blog_ID, "Sidebar 2", 1, "core", "free_html", 'a:5:{s:5:\"title\";s:9:\"Sidebar 2\";s:7:\"content\";s:162:\"This is the \"Sidebar 2\" container. You can place any widget you like in here. In the evo toolbar at the top of this page, select \"Customize\", then \"Blog Widgets\".\";s:11:\"widget_name\";s:9:\"Free HTML\";s:16:\"widget_css_class\";s:0:\"\";s:9:\"widget_ID\";s:0:\"\";}'
							   FROM evo_blogs;

INSERT INTO evo_widget( wi_coll_ID, wi_sco_name, wi_order, wi_type, wi_code )
							 SELECT blog_ID, "Sidebar 2", 2, "core", "coll_post_list"
							   FROM evo_blogs;
-- end: install_basic_widgets();


--  set_upgrade_checkpoint( '9408' );


-- if( $old_db_version < 9409 )
--  // Upgrade the blog access types:
--  echo 'Updating blogs access types... ';
UPDATE evo_blogs
          SET blog_access_type = "absolute"
         WHERE blog_siteurl LIKE "http://%"
            OR blog_siteurl LIKE "https://%";

UPDATE evo_blogs
          SET blog_access_type = "relative",
            blog_siteurl = CONCAT( blog_siteurl, blog_stub )
         WHERE blog_access_type = "stub";

--  db_drop_col( 'T_blogs', 'blog_stub' );
ALTER TABLE evo_blogs DROP COLUMN blog_stub;


--   echo 'Updating columns... ';
ALTER TABLE evo_groups CHANGE COLUMN grp_perm_stats grp_perm_stats enum('none','user','view','edit') NOT NULL default 'none';

ALTER TABLE evo_blogusers CHANGE COLUMN bloguser_perm_poststatuses bloguser_perm_poststatuses set('published','deprecated','protected','private','draft','redirected') NOT NULL default '';

ALTER TABLE evo_bloggroups CHANGE COLUMN bloggroup_perm_poststatuses bloggroup_perm_poststatuses set('published','deprecated','protected','private','draft','redirected') NOT NULL default '';

ALTER TABLE evo_posts CHANGE COLUMN post_status post_status enum('published','deprecated','protected','private','draft','redirected') NOT NULL default 'published';
  
--  set_upgrade_checkpoint( '9409' );
 

-- if( $old_db_version < 9410 )
--   echo 'Updating columns... ';
ALTER TABLE evo_comments CHANGE COLUMN comment_status comment_status ENUM('published','deprecated','protected','private','draft','redirected') DEFAULT 'published' NOT NULL;

ALTER TABLE evo_sessions CHANGE COLUMN sess_data sess_data MEDIUMBLOB DEFAULT NULL;

ALTER TABLE evo_hitlog CHANGE COLUMN hit_referer_type hit_referer_type ENUM('search','blacklist','spam','referer','direct','self','admin') NOT NULL;


--  set_upgrade_checkpoint( '9410' );


-- if( $old_db_version < 9411 )
--  echo 'Adding default Post Types... ';
REPLACE INTO evo_posttypes ( ptyp_ID, ptyp_name )
   VALUES ( 1000, 'Page' ),
       ( 2000, 'Reserved' ),
       ( 3000, 'Reserved' ),
       ( 4000, 'Reserved' ),
       ( 5000, 'Reserved' );
--  set_upgrade_checkpoint( '9411' );


-- if( $old_db_version < 9412 )
--  echo 'Adding field for post excerpts... ';
ALTER TABLE evo_posts ADD COLUMN post_excerpt  text NULL AFTER post_content;
--  set_upgrade_checkpoint( '9412' );

-- if( $old_db_version < 9414 )
--  echo "Renaming tables...";
RENAME TABLE evo_item__prerendering TO evo_items__prerendering,
               evo_poststatuses TO evo_items__status,
               evo_posttypes TO evo_items__type,
               evo_posts TO evo_items__item;

--  echo "Creating Tag tables...";
CREATE TABLE evo_items__tag (
        tag_ID   int(11) unsigned not null AUTO_INCREMENT,
        tag_name varchar(50)      not null,
        primary key (tag_ID),
        UNIQUE tag_name( tag_name )
      );

CREATE TABLE evo_items__itemtag (
        itag_itm_ID int(11) unsigned NOT NULL,
        itag_tag_ID int(11) unsigned NOT NULL,
        PRIMARY KEY (itag_itm_ID, itag_tag_ID),
        UNIQUE tagitem ( itag_tag_ID, itag_itm_ID )
      );

--  set_upgrade_checkpoint( '9414' );
 

--  if( $old_db_version < 9416 )
--  echo "Updating blogs table...";
ALTER TABLE evo_blogs
         ADD COLUMN blog_advanced_perms  TINYINT(1) NOT NULL default 0 AFTER blog_owner_user_ID,
         DROP COLUMN blog_staticfilename;
UPDATE evo_blogs
           SET blog_advanced_perms = 1;

--  echo "Additionnal blog permissions...";
ALTER TABLE evo_blogusers
         ADD COLUMN bloguser_perm_admin tinyint NOT NULL default 0 AFTER bloguser_perm_properties,
         ADD COLUMN bloguser_perm_edit  ENUM('no','own','lt','le','all','redirected') NOT NULL default 'no' AFTER bloguser_perm_poststatuses;

ALTER TABLE evo_bloggroups
         ADD COLUMN bloggroup_perm_admin tinyint NOT NULL default 0 AFTER bloggroup_perm_properties,
         ADD COLUMN bloggroup_perm_edit  ENUM('no','own','lt','le','all','redirected') NOT NULL default 'no' AFTER bloggroup_perm_poststatuses;

--  // Preserve full admin perms:
UPDATE evo_blogusers
          SET bloguser_perm_admin = 1
         WHERE bloguser_perm_properties <> 0;
UPDATE evo_bloggroups
          SET bloggroup_perm_admin = 1
         WHERE bloggroup_perm_properties <> 0;

--  // Preserve full edit perms:
UPDATE evo_blogusers
          SET bloguser_perm_edit = 'all';
UPDATE evo_bloggroups
          SET bloggroup_perm_edit = 'all';


--  set_upgrade_checkpoint( '9416' );


-- if( $old_db_version < 9500 )
--  task_begin( 'Normalizing columns...' );
ALTER TABLE evo_blogs
          ALTER COLUMN blog_shortname SET DEFAULT '',
          ALTER COLUMN blog_tagline SET DEFAULT '',
          CHANGE COLUMN blog_description blog_description     varchar(250) NULL default '',
          ALTER COLUMN blog_siteurl SET DEFAULT '';

--  task_begin( 'Normalizing dates...' );
UPDATE evo_users
          SET dateYMDhour = '2000-01-01 00:00:00'
         WHERE dateYMDhour = '0000-00-00 00:00:00';
ALTER TABLE evo_users
         MODIFY COLUMN dateYMDhour DATETIME NOT NULL DEFAULT '2000-01-01 00:00:00';
UPDATE evo_comments
          SET comment_date = '2000-01-01 00:00:00'
         WHERE comment_date = '0000-00-00 00:00:00';
ALTER TABLE evo_comments
         MODIFY COLUMN comment_date DATETIME NOT NULL DEFAULT '2000-01-01 00:00:00';

--  task_begin( 'Normalizing cron jobs...' );
UPDATE evo_cron__task
          SET ctsk_controller = REPLACE(ctsk_controller, "cron/_", "cron/jobs/_" )
         WHERE ctsk_controller LIKE "cron/_%";

--  task_begin( 'Extending comments table...' );
ALTER TABLE evo_comments
         ADD COLUMN comment_rating     TINYINT(1) NULL DEFAULT NULL AFTER comment_content,
         ADD COLUMN comment_featured   TINYINT(1) NOT NULL DEFAULT 0 AFTER comment_rating,
         ADD COLUMN comment_nofollow   TINYINT(1) NOT NULL DEFAULT 1 AFTER comment_featured;

--  set_upgrade_checkpoint( '9500' );


-- if( $old_db_version < 9600 )
-- { // 2.2.0
--  task_begin( 'Creating global cache table...' );
CREATE TABLE evo_global__cache (
             cach_name VARCHAR( 30 ) NOT NULL ,
             cach_cache MEDIUMBLOB NULL ,
             PRIMARY KEY ( cach_name )
           );

--  task_begin( 'Altering posts table...' );
ALTER TABLE evo_items__item
          MODIFY COLUMN post_datestart DATETIME NOT NULL DEFAULT '2000-01-01 00:00:00',
          MODIFY COLUMN post_datemodified DATETIME NOT NULL DEFAULT '2000-01-01 00:00:00',
          ADD COLUMN post_order    float NULL AFTER post_priority,
          ADD COLUMN post_featured tinyint(1) NOT NULL DEFAULT 0 AFTER post_order,
          ADD INDEX post_order( post_order );


-- if( $old_db_version < 9700 )
-- { // 2.3.2
--   echo 'Creating PodCast Post Type... ';
REPLACE INTO evo_items__type ( ptyp_ID, ptyp_name )
   VALUES ( 2000, 'Podcast' );

--  // 2.4.0
--   echo 'Adding additional group permissions... ';
ALTER TABLE evo_groups
     ADD COLUMN grp_perm_bypass_antispam         TINYINT(1)  NOT NULL DEFAULT 0        AFTER grp_perm_blogs,
     ADD COLUMN grp_perm_xhtmlvalidation         VARCHAR(10) NOT NULL default 'always' AFTER grp_perm_bypass_antispam,
     ADD COLUMN grp_perm_xhtmlvalidation_xmlrpc  VARCHAR(10) NOT NULL default 'always' AFTER grp_perm_xhtmlvalidation,
     ADD COLUMN grp_perm_xhtml_css_tweaks        TINYINT(1)  NOT NULL DEFAULT 0        AFTER grp_perm_xhtmlvalidation_xmlrpc,
        ADD COLUMN grp_perm_xhtml_iframes           TINYINT(1)  NOT NULL DEFAULT 0        AFTER grp_perm_xhtml_css_tweaks,
        ADD COLUMN grp_perm_xhtml_javascript        TINYINT(1)  NOT NULL DEFAULT 0        AFTER grp_perm_xhtml_iframes,
     ADD COLUMN grp_perm_xhtml_objects           TINYINT(1)  NOT NULL DEFAULT 0        AFTER grp_perm_xhtml_javascript;


UPDATE evo_settings
								SET set_value = '9700'
								WHERE set_name = 'db_version';



-- echo 'Resetting b2evolution.net polling times... ';
DELETE FROM evo_settings
  WHERE set_name = 'evonet_last_attempt'
    OR set_name = 'evonet_last_update';

-- // This has to be at the end because plugin install may fail if the DB schema is not current (matching Plugins class).
-- // Only new default plugins will be installed, based on $old_db_version.
-- // dh> NOTE: if this fails (e.g. fatal error in one of the plugins), it will not get repeated
-- begin:  install_basic_plugins( $old_db_version );
INSERT INTO evo_plugins( plug_classname, plug_priority, plug_code, plug_apply_rendering, plug_version, plug_status )
				VALUES( "quicktags_plugin", 30, 'b2evQTag', 'never', '2.4.1', 'enabled' );
REPLACE INTO evo_pluginevents( pevt_plug_ID, pevt_event, pevt_enabled )
					VALUES ( 1, "AdminDisplayToolbar", 1 );

INSERT INTO evo_plugins( plug_classname, plug_priority, plug_code, plug_apply_rendering, plug_version, plug_status )
				VALUES( "auto_p_plugin", 70, 'b2WPAutP', 'opt-out', '1.9', 'enabled' );
REPLACE INTO evo_pluginevents( pevt_plug_ID, pevt_event, pevt_enabled )
					VALUES ( 2, "RenderItemAsHtml", 1 );
DELETE FROM evo_items__prerendering WHERE 1=1;

INSERT INTO evo_plugins( plug_classname, plug_priority, plug_code, plug_apply_rendering, plug_version, plug_status )
				VALUES( "autolinks_plugin", 60, 'b2evALnk', 'opt-out', '1.9-dev', 'enabled' );
REPLACE INTO evo_pluginevents( pevt_plug_ID, pevt_event, pevt_enabled )
					VALUES ( 3, "RenderItemAsHtml", 1 );
DELETE FROM evo_items__prerendering WHERE 1=1;

INSERT INTO evo_plugins( plug_classname, plug_priority, plug_code, plug_apply_rendering, plug_version, plug_status )
				VALUES( "texturize_plugin", 90, 'b2WPTxrz', 'opt-in', '2.2-dev', 'enabled' );
REPLACE INTO evo_pluginevents( pevt_plug_ID, pevt_event, pevt_enabled )
					VALUES ( 4, "RenderItemAsHtml", 1 ), (4, "RenderItemAsXml", 1 );
DELETE FROM evo_items__prerendering WHERE 1=1;

INSERT INTO evo_plugins( plug_classname, plug_priority, plug_code, plug_apply_rendering, plug_version, plug_status )
				VALUES( "smilies_plugin", 15, 'b2evSmil', 'opt-out', '1.10', 'enabled' );
REPLACE INTO evo_pluginevents( pevt_plug_ID, pevt_event, pevt_enabled )
					VALUES ( 5, "AdminDisplayToolbar", 1 ), (5, "DisplayCommentToolbar", 1 ), (5, "FilterCommentContent", 1 ), (5, "RenderItemAsHtml", 1 );
DELETE FROM evo_items__prerendering WHERE 1=1;

INSERT INTO evo_plugins( plug_classname, plug_priority, plug_code, plug_apply_rendering, plug_version, plug_status )
				VALUES( "videoplug_plugin", 65, 'evo_videoplug', 'opt-out', '2.2', 'enabled' );
REPLACE INTO evo_pluginevents( pevt_plug_ID, pevt_event, pevt_enabled )
					VALUES ( 6, "RenderItemAsHtml", 1 ), (6, "RenderItemAsXml", 1 ), (6, "AdminDisplayToolbar", 1 );
DELETE FROM evo_items__prerendering WHERE 1=1;

INSERT INTO evo_plugins( plug_classname, plug_priority, plug_code, plug_apply_rendering, plug_version, plug_status )
				VALUES( "calendar_plugin", 20, 'evo_Calr', 'never', '2.2', 'enabled' );
REPLACE INTO evo_pluginevents( pevt_plug_ID, pevt_event, pevt_enabled )
					VALUES ( 7, "SkinTag", 1 );

INSERT INTO evo_plugins( plug_classname, plug_priority, plug_code, plug_apply_rendering, plug_version, plug_status )
				VALUES( "archives_plugin", 50, 'evo_Arch', 'never', '2.2', 'enabled' );
REPLACE INTO evo_pluginevents( pevt_plug_ID, pevt_event, pevt_enabled )
					VALUES ( 8, "SkinTag", 1 );

INSERT INTO evo_plugins( plug_classname, plug_priority, plug_code, plug_apply_rendering, plug_version, plug_status )
				VALUES( "ping_b2evonet_plugin", 50, 'ping_b2evonet', 'never', '1.9-dev', 'enabled' );
REPLACE INTO evo_pluginevents( pevt_plug_ID, pevt_event, pevt_enabled )
					VALUES ( 9, "ItemSendPing", 1 );

INSERT INTO evo_plugins( plug_classname, plug_priority, plug_code, plug_apply_rendering, plug_version, plug_status )
				VALUES( "ping_pingomatic_plugin", 50, 'ping_pingomatic', 'never', '1.9-dev', 'enabled' );
REPLACE INTO evo_pluginevents( pevt_plug_ID, pevt_event, pevt_enabled )
					VALUES ( 10, "ItemSendPing", 1 );

-- end: install_basic_plugins()

-- Check to make sure the DB schema is up to date:

